Subject: bug#27896: 25.2; `C-M-%' with `rectangle-mark-mode'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Feb 2021 12:58:33 +0100

Drew Adams <[email-masked]> writes:

> The (normal) region limits the text that replacement search
> tries to match, by bounding it.  The rectangular region keeps
> the ordinary region as the domain of text that search tries
> to match, and it filters the matches against that domain to
> remove any matches that are not wholly within the limits of
> the rectangle.

Yup.  It's a pretty odd design decision, though -- I wonder whether it
this happened on purpose or whether that was just the simplest way to
implement this.

I've added Juri to the CCs; perhaps he can clarify.

(The problem is that if you ask to replace "foo.*bar", and you have

foo bar bar

then `query-replace' will match the entire line, and then filter out
that match (given that we have a rectangular region that covers just
"foo bar") and not replace anything.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no